> For the complete documentation index, see [llms.txt](https://docs.av-scripts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.av-scripts.com/laptop-pack-v3/business/installation/inventories/jaksam-inventory.md).

# Jaksam Inventory

* Navigate to `jaksam_inventory/_data` and create a new file, name it `avbusiness.lua`
* Open `avbusiness.lua` in your text editor, paste and save the following snippet:

```lua
AddEventHandler('inventory:refresh',function()
	local success, items = pcall(MySQL.query.await, 'SELECT * FROM av_items')
    Script.Items = Script.Items or {}
	if success and items and next(items) then
		local dump = {}
		local resource = GetCurrentResourceName()
		local path = GetResourcePath(resource)
		for i = 1, #items do
			local item = items[i]
			if not Script.Items[item.name] then
				item.close = true
				item.stackable = true
				item.description = item.description
				item.weight = toFloat(item.weight)
				item.type = 'item'
				dump[i] = item
				if item.image then
					PerformHttpRequest(item.image, function (errorCode, resultData, resultHeaders)
						if errorCode >= 200 and errorCode < 300 then
							local image = assert(io.open(path..'/_images/'..item.name..'.png', "wb"))
							image:write(resultData)
							image:flush()
							image:close()
						else
							print("We couldn't download item image for product "..item.name..", this is not a script problem, possibly a not valid url or some firewall blocking the request (?)")
						end
					end)
				end
			end
		end
		if table.type(dump) ~= "empty" then
			local file = {string.strtrim(LoadResourceFile(resource, '_data/items.lua'))}
			file[1] = file[1]:gsub('}$', '')

			local itemFormat = [[
    ['%s'] = {
        label = '%s',
        weight = %s,
        type = 'item',
        stackable = %s,
        close = %s,
        description = %s
    },
]]
			local fileSize = #file
			for _, item in pairs(dump) do
				local formatName = item.name:gsub("'", "\\'"):lower()
				if not Script.Items[formatName] then
					fileSize += 1
					file[fileSize] = (itemFormat):format(formatName, item.label:gsub("'", "\\'"):lower(), item.weight, item.stackable, item.close, item.description and ('"%s"'):format(item.description) or 'nil')
					Script.Items[formatName] = item
				end
			end
			file[fileSize+1] = '}'
			SaveResourceFile(resource, '_data/items.lua', table.concat(file), -1)
		end
	end
end)

function toFloat(number)
    if not number then return 1.0 end
    if tonumber(number) >= 100 then
        return 1.0
    end
    return tonumber(number) + 0.0
end
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.av-scripts.com/laptop-pack-v3/business/installation/inventories/jaksam-inventory.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
